gnutls_sign_supports_pk_algorithm(3)

NAME
gnutls_sign_supports_pk_algorithm - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_sign_supports_pk_algorithm(gnutls_sign_algorithm_t sign, gnutls_pk_algorithm_t pk);

ARGUMENTS

gnutls_sign_algorithm_t sign
    is a signature algorithm

gnutls_pk_algorithm_t pk
    is a public key algorithm

DESCRIPTION
This function returns non-zero if the public key algorithm corresponds to the given signature algorithm. That is, if that signature can be generated from the given private key algorithm.

SINCE
3.6.0

RETURNS
return non-zero when the provided algorithms are compatible.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/